Bug 1301282 - [abrt] berusky2: kom_flek_setflag(): berusky2 killed by SIGSEGV [NEEDINFO]
[abrt] berusky2: kom_flek_setflag(): berusky2 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: berusky2 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:72e6c3de76db5b6275f23e21f61...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-23 09:38 EST by shishii
Modified: 2016-12-20 13:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:06:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
stransky: needinfo? (shishii)


Attachments (Terms of Use)
File: backtrace (24.18 KB, text/plain)
2016-01-23 09:38 EST, shishii
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-23 09:38 EST, shishii
no flags Details
File: core_backtrace (4.70 KB, text/plain)
2016-01-23 09:38 EST, shishii
no flags Details
File: dso_list (5.38 KB, text/plain)
2016-01-23 09:38 EST, shishii
no flags Details
File: environ (1.66 KB, text/plain)
2016-01-23 09:38 EST, shishii
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-23 09:38 EST, shishii
no flags Details
File: maps (28.59 KB, text/plain)
2016-01-23 09:38 EST, shishii
no flags Details
File: mountinfo (2.93 KB, text/plain)
2016-01-23 09:38 EST, shishii
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-23 09:38 EST, shishii
no flags Details
File: open_fds (1.72 KB, text/plain)
2016-01-23 09:38 EST, shishii
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-01-23 09:38 EST, shishii
no flags Details
File: var_log_messages (249 bytes, text/plain)
2016-01-23 09:38 EST, shishii
no flags Details

  None (edit)
Description shishii 2016-01-23 09:38:04 EST
Description of problem:
Crashes just the character up to the first top block.

Version-Release number of selected component:
berusky2-0.10-7.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/berusky2
crash_function: kom_flek_setflag
executable:     /usr/bin/berusky2
global_pid:     2479
kernel:         4.3.3-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 kom_flek_setflag at komat/Berusky3d_kofola_interface.cpp:1074
 #1 anmend_Set_Flek_Flag_Anim at kofola/animend_functions.cpp:986
 #2 rani_updatuj_2 at komat/Berusky3d_animace.cpp:1089
 #3 rani_updatuj at komat/Berusky3d_animace.cpp:1133
 #4 ber_renderuj_scenu at komat/Berusky3d_render.cpp:1930
 #5 gl_Flip at kofola/game_logic.cpp:9584
 #6 gl_Run_Level at kofola/game_logic.cpp:12086
 #7 RunLevel at kofola/Menu.cpp:756
 #8 RunMenuSceneMap at kofola/Menu.cpp:3871
 #9 RunMenuNewGameScene at kofola/Menu.cpp:2383
Comment 1 shishii 2016-01-23 09:38:09 EST
Created attachment 1117451 [details]
File: backtrace
Comment 2 shishii 2016-01-23 09:38:11 EST
Created attachment 1117452 [details]
File: cgroup
Comment 3 shishii 2016-01-23 09:38:13 EST
Created attachment 1117453 [details]
File: core_backtrace
Comment 4 shishii 2016-01-23 09:38:14 EST
Created attachment 1117454 [details]
File: dso_list
Comment 5 shishii 2016-01-23 09:38:16 EST
Created attachment 1117455 [details]
File: environ
Comment 6 shishii 2016-01-23 09:38:17 EST
Created attachment 1117456 [details]
File: limits
Comment 7 shishii 2016-01-23 09:38:19 EST
Created attachment 1117457 [details]
File: maps
Comment 8 shishii 2016-01-23 09:38:21 EST
Created attachment 1117458 [details]
File: mountinfo
Comment 9 shishii 2016-01-23 09:38:22 EST
Created attachment 1117459 [details]
File: namespaces
Comment 10 shishii 2016-01-23 09:38:24 EST
Created attachment 1117460 [details]
File: open_fds
Comment 11 shishii 2016-01-23 09:38:25 EST
Created attachment 1117461 [details]
File: proc_pid_status
Comment 12 shishii 2016-01-23 09:38:27 EST
Created attachment 1117462 [details]
File: var_log_messages
Comment 13 Martin Stransky 2016-02-08 07:09:30 EST
Should be fixed by berusky2-0.10-9, can you retest please?
Comment 14 Fedora End Of Life 2016-11-24 10:08:05 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 13:06:22 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.